Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 202398 - Review Request: python-musicbrainz2
Summary: Review Request: python-musicbrainz2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michał Bentkowski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-08-14 04:55 UTC by Jeffrey C. Ollie
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-08-29 13:41:15 UTC
Type: ---
Embargoed:
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2006-08-14 04:55:43 UTC
Spec URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/python-musicbrainz2-0.3.1-1.fc6.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/python-musicbrainz2-0.3.1-1.fc6.src.rpm
Description:

The package python-musicbrainz2 is a client library written in python,
which provides easy object oriented access to the MusicBrainz Database
using the XMLWebService. It has been written from scratch and uses a
different model than PythonMusicbrainz, the first generation python
bindings.

Comment 1 Michał Bentkowski 2006-08-16 20:42:38 UTC
Okay, I'll give you a review.

MUST ITEMS:
 * rpmlint doesn't show anything
 * package is named good
 * ! improper spec file name, change it to python-musicbrainz2.spec
 * package meets Packaging Guidelines
 * package is licensed with open-source compatible license (BSD)
 * license file is included in %doc
 * spec file is written in American English
 * spec file is legible
 * upstream md5sum matches md5sum of the source used to build the
package (2ff59193f357c84e9e7b2f89356c0939)
 * BR is listed properly
 * there is no locales
 * there is no need to ldconfig
 * package is not designed to be relocatable
 * package own directories correctly
 * permissions are set correctly
 * package has a good %clean section
 * package handles macros properly
 * there is no need to -doc subpackage
 * %doc doesn't affect runtime
 * there is no need to -devel subpackage
 * package doesn't contain any .la files
 * no gui

WHAT TO DO:
 * correct spec file name, only to show that it is correct ;)
 * package owns test command, so you should add %check section
to spec file and run %{__python} setup.py test in it

If you do what I mention above, I'll approve this package.

Comment 2 Jeffrey C. Ollie 2006-08-16 21:24:53 UTC
> WHAT TO DO:
>  * correct spec file name, only to show that it is correct ;)

The spec file is renamed on the web site so that I can keep multiple revisions
online.  The spec file inside the SRPM is named according to the guidelines.

>  * package owns test command, so you should add %check section
> to spec file and run %{__python} setup.py test in it

Done.  In addition, I noticed that there are a couple of more packages that are
Required for full functionality.

Spec: 
http://repo.ocjtech.us/misc/fedora/development/SRPMS/python-musicbrainz2-0.3.1-2.fc6.spec
SRPM:
http://repo.ocjtech.us/misc/fedora/development/SRPMS/python-musicbrainz2-0.3.1-2.fc6.src.rpm

%changelog
* Wed Aug 16 2006 Jeffrey C. Ollie <jeff> - 0.3.1-2
- Add Requires for python-ctypes and libmusicbrainz.
- Add check section.

 


Comment 3 Michał Bentkowski 2006-08-16 21:48:34 UTC
(In reply to comment #2)
> The spec file is renamed on the web site so that I can keep multiple revisions
> online.  The spec file inside the SRPM is named according to the guidelines.
Right.

Okay, now everything looks fine.
Approved.

Comment 4 Jeffrey C. Ollie 2006-08-29 13:41:15 UTC
Thanks for the review... sorry for the late acknowledgement.  Imported into CVS
and built....

Comment 5 Jeffrey C. Ollie 2007-11-16 14:59:36 UTC
Package Change Request
======================
Package Name: python-musicbrainz2
Updated Fedora Owners: alexlan



Comment 6 Kevin Fenzi 2007-11-16 16:59:23 UTC
cvs done.

Comment 7 Alex Lancaster 2007-11-16 22:14:29 UTC
(In reply to comment #5)
> Package Change Request
> ======================
> Package Name: python-musicbrainz2
> Updated Fedora Owners: alexlan

Hi Jeffrey: I thought you were going to make me a co-maintainer... ;)  That's
fine to make me a primary maintainer, would you consider remaining as a
co-maintainer?



Comment 8 Jeffrey C. Ollie 2007-11-17 05:12:56 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > Package Change Request
> > ======================
> > Package Name: python-musicbrainz2
> > Updated Fedora Owners: alexlan
> 
> Hi Jeffrey: I thought you were going to make me a co-maintainer... ;)  That's
> fine to make me a primary maintainer, would you consider remaining as a
> co-maintainer?

Oops... yes I did not mean to drop myself as a maintainer :)  Please submit a
request to add myself back.


Comment 9 Alex Lancaster 2007-11-17 06:34:34 UTC
(In reply to comment #8)
> > Hi Jeffrey: I thought you were going to make me a co-maintainer... ;)  That's
> > fine to make me a primary maintainer, would you consider remaining as a
> > co-maintainer?
> 
> Oops... yes I did not mean to drop myself as a maintainer :)  Please submit a
> request to add myself back.

Even easier: I just added myself as a co-maintainer (and approved myself), now I
can orphan the package and you can (re-)claim it.



Comment 10 Alex Lancaster 2007-11-17 07:18:19 UTC
(In reply to comment #9)

> > Oops... yes I did not mean to drop myself as a maintainer :)  Please submit a
> > request to add myself back.
> 
> Even easier: I just added myself as a co-maintainer (and approved myself), now I
> can orphan the package and you can (re-)claim it.

i.e. in pkgdb:

https://admin.fedoraproject.org/pkgdb/packages/name/python-musicbrainz2




Note You need to log in before you can comment on or make changes to this bug.